KGDB_ARCH_SET_PC(9)

NAME
kgdb_arch_set_pc - Generic call back to the program counter

SYNOPSIS

void kgdb_arch_set_pc(struct pt_regs * regs, unsigned long pc);

ARGUMENTS

regs
    Current struct pt_regs.

pc
    The new value for the program counter

DESCRIPTION

This function handles updating the program counter and requires an architecture specific implementation.

AUTHOR

Jason Wessel <jason.wessel@windriver.com>
    Author.

COPYRIGHT